Closed Bug 565774 Opened 9 years ago Closed 9 years ago

Stop trying to package MSVC DLLs in debug Windows SeaMonkey

Categories

(SeaMonkey :: Build Config, defect, minor)

x86
Windows Server 2003
defect
Not set
minor

Tracking

(Not tracked)

VERIFIED FIXED
seamonkey2.1final

People

(Reporter: sgautherie, Assigned: sgautherie)

References

Details

Attachments

(1 file)

Spun off of bug 564606 comment 6.

{
Warning: package error or possible missing or unnecessary file:
bin/Microsoft.VC80.CRT.manifest (package-manifest, 41).
Warning: package error or possible missing or unnecessary file: bin/msvcm80.dll
(package-manifest, 42).
Warning: package error or possible missing or unnecessary file: bin/msvcp80.dll
(package-manifest, 43).
Warning: package error or possible missing or unnecessary file: bin/msvcr80.dll
(package-manifest, 44).
}

http://mxr.mozilla.org/build/search?string=WIN32_REDIST_DIR&case=1
Sooo, KaiRo... do we still need this?
(In reply to comment #1)
> Sooo, KaiRo... do we still need this?

I don't know, I wasn't sure in the first place, that's why I never reacted.
The solution might be to set WIN32_REDIST_DIR or to fix our packaging file (or something else) ... but the warnings are still there.

Firefox does not complain:
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281268375.1281274645.19480.gz&fulltext=1
WINNT 5.2 mozilla-central leak test build on 2010/08/08 04:52:55

 environment:
  WIN32_REDIST_DIR=d:/msvs8/VC/redist/x86/Microsoft.VC80.CRT
}

SeaMonkey does:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1281263901.1281270504.21136.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2010/08/08 03:38:21

Warning: package error or possible missing or unnecessary file: bin/Microsoft.VC80.CRT.manifest (package-manifest, 41).
Warning: package error or possible missing or unnecessary file: bin/msvcm80.dll (package-manifest, 42).
Warning: package error or possible missing or unnecessary file: bin/msvcp80.dll (package-manifest, 43).
Warning: package error or possible missing or unnecessary file: bin/msvcr80.dll (package-manifest, 44).
}
OS: Windows 2000 → Windows Server 2003
Well, for one thing, I'd like to obsolete non-static builds in packaging, we don't distribute them, the only reason why they are supported right now in packaging is packaged tests.
For the other, Firefox is an unreasonable example, as they don't do shared builds, and libxul builds are a different matter. Also, I doubt that they actually redistribute those CRTs.
Assignee: kairo → nobody
Depends on: 515374
No longer depends on: 564654
Depends on: 595759
Depends on: 569375
Depends on: 426887
Is this still an issue with the libxul-based builds we are doing now?
No longer depends on: 595759
(In reply to comment #4)

> Well, for one thing, I'd like to obsolete non-static builds in packaging, we
> don't distribute them, the only reason why they are supported right now in
> packaging is packaged tests.

I used to call this "non-static".
Maybe it was or (now) it's just "debug" really.

> For the other, Firefox is an unreasonable example, as they don't do shared
> builds, and libxul builds are a different matter. Also, I doubt that they
> actually redistribute those CRTs.

/pub/firefox/tinderbox-builds/mozilla-central-win32-debug/1297843127/firefox-4.0b12pre.en-US.win32.zip
does include these 4 files.


(In reply to comment #5)
> Is this still an issue with the libxul-based builds we are doing now?

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1297811233.1297820304.20322.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2011/02/15 15:07:13
{
Warning: package error or possible missing or unnecessary file: bin/Microsoft.VC80.CRT.manifest (package-manifest, 39).
Warning: package error or possible missing or unnecessary file: bin/msvcm80.dll (package-manifest, 40).
Warning: package error or possible missing or unnecessary file: bin/msvcp80.dll (package-manifest, 41).
Warning: package error or possible missing or unnecessary file: bin/msvcr80.dll (package-manifest, 42).

-bin/Microsoft.VC80.CRT.manifest
}

NB: I have yet to look into the (new) last line ... Ftb, I'm just wondering whether it could be somehow related to omni.jar...
Summary: Non-static Windows SeaMonkey builders miss 'WIN32_REDIST_DIR' env var → Debug Windows SeaMonkey builders miss 'WIN32_REDIST_DIR' env var
(In reply to comment #3)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281268375.1281274645.19480.gz&fulltext=1
> WINNT 5.2 mozilla-central leak test build on 2010/08/08 04:52:55
> 
>  environment:
>   WIN32_REDIST_DIR=d:/msvs8/VC/redist/x86/Microsoft.VC80.CRT

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1297843153.1297849226.29949.gz&fulltext=1
WINNT 5.2 mozilla-central leak test build on 2011/02/15 23:59:13

Ben, could you tell us where the Firefox WIN32_REDIST_DIR setting comes from?
(Afaics, not from build nor mozilla-central repositories...)
<ted> it's only useful for getting the CRT DLLs into your package
<ted> if you have --enable-jemalloc you don't need em
<Callek> ted: is it needed/useful for the debug builds though (we don't build jemalloc with debug, right?)
<ted> we don't, but it's still not useful
<ted> the debug CRT is not redistributable, so we can't package it

Based on that, that even IF firefox has this set in the environment for Firefox, I don't want to toy with it for this bug; if it does something else, or is needed in another way, file a new bug and I can revisit.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WONTFIX
Ftr, after bug 605701 landing:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1303063676.1303077751.26260.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2011/04/17 11:07:56
has no WIN32_REDIST_DIR var, doesn't need it: all right.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1303063608.1303080301.3242.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2011/04/17 11:06:48
{
configure: warning: When not building jemalloc, you need to set WIN32_REDIST_DIR to the path to the Visual C++ Redist (usually VCINSTALLDIR\redist\x86\Microsoft.VC80.CRT, for VC++ v8) if you intend to distribute your build.
}
as expected :-|
Depends on: 605701
Depends on: 650699
(In reply to comment #7)
> Ben, could you tell us where the Firefox WIN32_REDIST_DIR setting comes from?
> (Afaics, not from build nor mozilla-central repositories...)

(In reply to comment #8)
> <ted> the debug CRT is not redistributable, so we can't package it

I filed bug 650699 about these.
(In reply to comment #10)
> I filed bug 650699 about these.

Reopening and morphing, per bug 650699.
Status: RESOLVED → REOPENED
No longer depends on: 426887, 569375, 605701
Flags: in-testsuite-
Resolution: WONTFIX → ---
Summary: Debug Windows SeaMonkey builders miss 'WIN32_REDIST_DIR' env var → Stop trying to package MSVC DLLs in debug Windows SeaMonkey
NB: I'll want 'approval‑seamonkey2.1' too.
Assignee: nobody → sgautherie.bz
Status: REOPENED → ASSIGNED
Attachment #527899 - Flags: review?(bugspam.Callek)
Comment on attachment 527899 [details] [diff] [review]
(Av1) Just do it
[Checked in: Comment 14 & 16]

Feel free to land on comm-20 (not approval-required yet)
Attachment #527899 - Flags: review?(bugspam.Callek) → review+
Comment on attachment 527899 [details] [diff] [review]
(Av1) Just do it
[Checked in: Comment 14 & 16]

http://hg.mozilla.org/comm-central/rev/387093f0adb6
Attachment #527899 - Attachment description: (Av1) Just do it → (Av1) Just do it [Checked in: Comment 14]
Status: ASSIGNED → RESOLVED
Closed: 9 years ago9 years ago
Resolution: --- → FIXED
Target Milestone: --- → seamonkey2.2a1
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1303532210.1303542608.665.gz&fulltext=1
WINNT 5.2 comm-central-trunk leak test build on 2011/04/22 21:16:50

V.Fixed
Severity: major → minor
Status: RESOLVED → VERIFIED
Target Milestone: seamonkey2.2a1 → seamonkey2.1final
Comment on attachment 527899 [details] [diff] [review]
(Av1) Just do it
[Checked in: Comment 14 & 16]

http://hg.mozilla.org/releases/comm-2.0/rev/556dfb1e4627
Attachment #527899 - Attachment description: (Av1) Just do it [Checked in: Comment 14] → (Av1) Just do it [Checked in: Comment 14 & 16]
Blocks: 713134
No longer depends on: 515374
Depends on: 652297
You need to log in before you can comment on or make changes to this bug.